#include "Point.h"

// Default constructor
// When we have private data members, we can specify in the
// constructor how we want the members constructed.
// If we don't specify the construction, the default constructor
// will be used.
// We can specify the constructors to use for data members after
// a single colon that follows the constructor prototype.
Point::Point() : x_(0.0f), y_(0.0f)
{
}

Point::Point(float x, float y) : x_(x), y_(y)
{
}

// Copy Constructor
Point::Point(const Point& orig) : x_(orig.x_),
   y_(orig.y_)
{
}

float Point::getX() const
{
	return x_;
}

void Point::setX(float newX)
{
	x_ = newX;
}

Point::~Point()
{
}
